package com.uas.platform.b2b.erp.model;

import java.util.Date;

import com.uas.platform.b2b.model.PurchaseNotice;

/**
 * 卖家ERP系统的客户送货提醒单
 * 
 * @author yingp
 * 
 */
public class SaleNotifyDown {

	private long b2b_pn_id;
	private long sn_custuu;
	private String sn_pocode;
	private Short sn_podetno;
	private String sn_remark;
	private Double sn_qty;
	private Date sn_delivery;
	private Double sn_sendqty;

	public long getB2b_pn_id() {
		return b2b_pn_id;
	}

	public void setB2b_pn_id(long b2b_pn_id) {
		this.b2b_pn_id = b2b_pn_id;
	}

	public long getSn_custuu() {
		return sn_custuu;
	}

	public void setSn_custuu(long sn_custuu) {
		this.sn_custuu = sn_custuu;
	}

	public String getSn_pocode() {
		return sn_pocode;
	}

	public void setSn_pocode(String sn_pocode) {
		this.sn_pocode = sn_pocode;
	}

	public Short getSn_podetno() {
		return sn_podetno;
	}

	public void setSn_podetno(Short sn_podetno) {
		this.sn_podetno = sn_podetno;
	}

	public String getSn_remark() {
		return sn_remark;
	}

	public void setSn_remark(String sn_remark) {
		this.sn_remark = sn_remark;
	}

	public Double getSn_qty() {
		return sn_qty;
	}

	public void setSn_qty(Double sn_qty) {
		this.sn_qty = sn_qty;
	}

	public Date getSn_delivery() {
		return sn_delivery;
	}

	public void setSn_delivery(Date sn_delivery) {
		this.sn_delivery = sn_delivery;
	}

	public Double getSn_sendqty() {
		return sn_sendqty;
	}

	public void setSn_sendqty(Double sn_sendqty) {
		this.sn_sendqty = sn_sendqty;
	}

	public SaleNotifyDown() {
	}

	/**
	 * 平台的客户送货提醒，转为卖家的客户送货提醒
	 * 
	 * @param notice
	 */
	public SaleNotifyDown(PurchaseNotice notice) {
		this.b2b_pn_id = notice.getId();
		this.sn_custuu = notice.getEnUU();
		this.sn_delivery = notice.getDelivery();
		this.sn_pocode = notice.getOrderItem().getOrder().getCode();
		this.sn_podetno = notice.getOrderItem().getNumber();
		this.sn_qty = notice.getQty();
		this.sn_sendqty = notice.getEndQty();
		this.sn_remark = notice.getRemark();
	}

}
